/***************************************************************************
* $Id: Main.java,v 1.2 2002/03/10 16:08:03 rdale Exp $
**
* Copyright (C) 1992-2000 Trolltech AS.  All rights reserved.
**
* This file is part of an example program for Qt.  This example
* program may be used, distributed and modified without limitation.
**
****************************************************************************/
import org.kde.qt.*;

public class Main {


public static void main( String[] args )
{
    QApplication.setColorSpec( QApplication.ManyColor );
    QApplication a = new QApplication(args);

    String home = null;
    if (args.length > 0)
        home = args[0];
//    else
//        home = System.getenv("QTDIR") + "/doc/html/index.html";

    
    HelpWindow help = new HelpWindow(home, ".", null, "help viewer");
    help.setCaption("Qt Example - Helpviewer");
    if ( QApplication.desktop().width() > 400
	 && QApplication.desktop().height() > 500 )
	help.show();
    else
	help.showMaximized();

    QObject.connect( a, Qt.SIGNAL("aboutToQuit()"),
                      help, Qt.SLOT("cleanUp()") );
    QObject.connect( a, Qt.SIGNAL("lastWindowClosed()"),
                      a, Qt.SLOT("quit()") );

    a.exec();
	return;
}

static {
	qtjava.initialize();
}

}
